﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="WebUserControl.ascx.cs"
    Inherits="WebUserControl" %>
<%@ Register Assembly="Infragistics4.Web.jQuery.v11.2, Version=11.2.20112.2025, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>
<!--Upload Control Client Events : Start-->
<script type="text/javascript">
    var CONST = {
        FileID: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_fileId")%>',
        FilePath: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_filePath")%>',
        FileStatus: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_fileStatus")%>',
        TotalSize: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_totalSize")%>',
        UploadedBytes: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_uploadedBytes")%>',
        Status: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_status")%>',
        ErrorCode: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_errorCode")%>',
        ErrorMessage: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_errorMessage")%>',
        ErrorType: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_errorType")%>',
        ServerMessage: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_serverMessage")%>',
        EventFired: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_eventFired")%>',
        EventFiredArgs: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_eventFiredArgs")%>',
        ErrorDescr: '<%= this.GetGlobalResourceObject("WebUploadResources", "lbl_errorDescr")%>'
    }
    function getErrorDescr(args) {
        // Gets the type of the error, thrown from the server.
        // All the codes are mapped with the error type.
        switch (args.errorCode) {
            case 0: return '<%= this.GetGlobalResourceObject("WebUploadResources", "Error_Code_0")%>';
            case 1: return '<%= this.GetGlobalResourceObject("WebUploadResources", "Error_Code_1")%>';
            case 2: return '<%= this.GetGlobalResourceObject("WebUploadResources", "Error_Code_2")%>';
            case 3: return '<%= this.GetGlobalResourceObject("WebUploadResources", "Error_Code_3")%>';
            case 4: return '<%= this.GetGlobalResourceObject("WebUploadResources", "Error_Code_4")%>';
            case 5: return '<%= this.GetGlobalResourceObject("WebUploadResources", "Error_Code_5")%>';
            case 6: return '<%= this.GetGlobalResourceObject("WebUploadResources", "Error_Code_6")%>';
            case 7: return '<%= this.GetGlobalResourceObject("WebUploadResources", "Error_Code_7")%>';
            case 8: return '<%= this.GetGlobalResourceObject("WebUploadResources", "Error_Code_8")%>';
            case 9: return '<%= this.GetGlobalResourceObject("WebUploadResources", "Error_Code_9")%>';
            case 10: return '<%= this.GetGlobalResourceObject("WebUploadResources", "Error_Code_10")%>';
        }
    }
    function fileUploading(e, args) {
        if ($("#hdnStartTimer").val() === 'false') {
            $("#hdnStartTimer").val('true');
            startTimer();
        }
        refreshProgressInformation();

        var message =
            "<div class='event-fired'>fileUploading " +
                CONST.EventFiredArgs +
            "</div>" +
            "<div class='event-args'>" +
                CONST.FileID + ": " + args.fileId + "<br />" +
                CONST.FilePath + ": " + args.filePath + "<br />" +
                CONST.FileStatus + ": " + args.fileStatus + "<br />" +
                CONST.TotalSize + ": " + args.totalSize + "<br />" +
                CONST.UploadedBytes + ": " + args.uploadedBytes +
            "</div>";
        showEvent(message);
    }
    function fileUploaded(e, args) {
        refreshProgressInformation();
        if (areAllFilesUploaded()) {
            clearTimeout(timeOutID);
            $("#hdnStartTimer").val('false');
        }
        $("#error").css("display", "none");

        var message =
            "<div class='event-fired'>fileUploaded " +
                CONST.EventFiredArgs +
            "</div>" +
            "<div class='event-args'>" +
                CONST.FileID + ": " + args.fileId + "<br />" +
                CONST.FilePath + ": " + args.filePath + "<br />" +
                CONST.TotalSize + ": " + args.totalSize +
            "</div>";
        showEvent(message);
    }
    function fileUploadAborted(e, args) {
        refreshProgressInformation();
        clearTimeout(timeOutID);

        $("#hdnStartTimer").val('false');
        var message =
            "<div class='event-fired'>fileUploadAborted " +
                CONST.EventFiredArgs +
            "</div>" +
            "<div class='event-args'>" +
                CONST.FileID + ": " + args.fileId + "<br />" +
                CONST.FilePath + ": " + args.filePath + "<br />" +
                CONST.Status + ": " + args.status + "<br />" +
                CONST.TotalSize + ": " + args.totalSize + "<br />" +
                CONST.UploadedBytes + ": " + args.uploadedBytes +
            "</div>";
        showEvent(message);
    }
    function cancelAllClicked(e, args) {
        refreshProgressInformation();
        clearTimeout(timeOutID);
        $("#hdnStartTimer").val('false');

        var message =
            "<div class='event-fired'>cancelAllClicked " +
                CONST.EventFired +
            "</div>";
        showEvent(message);
    }
    function onError(e, args) {
        refreshProgressInformation();
        clearTimeout(timeOutID);
        $("#hdnStartTimer").val('false');

        if (args.errorType === 'serverside' && args.errorCode === 2) {
            $("#errorWindow").stop(true, true).fadeIn(500).delay(3000).fadeOut(500);

        }
        var errorDescr = getErrorDescr(args),
                    message =
            "<div class='event-fired'>onError " +
                CONST.EventFiredArgs +
            "</div>" +
            "<div class='event-args'>" +
                CONST.ErrorCode + ": " + args.errorCode + "<br />" +
                CONST.ErrorDescr + ": " + errorDescr + "<br />" +
                CONST.ErrorMessage + ": " + args.errorMessage + "<br />" +
                CONST.ErrorType + ": " + args.errorType + "<br />" +
                CONST.ServerMessage + ": " + args.serverMessage +
            "</div>";
        showEvent(message);
    }
    function fileSelected(e, args) {

        var message =
            "<div class='event-fired'>fileSelected " +
                CONST.EventFiredArgs +
            "</div>" +
            "<div class='event-args'>" +
                CONST.FileID + ": " + args.fileId + "<br />" +
                CONST.FilePath + ": " + args.filePath +
            "</div>";
        // showEvent(message);       
    }
    function showEvent(message) {
        $("#eventList").html($("#eventList").html() + message).attr({ scrollTop: $("#eventList").attr("scrollHeight") });
    }


    function startTimer() {
        var currCount = parseInt($('#timeElapsed').html(), 10);
        $('#timeElapsed').html(currCount + 1);
        timeOutID = setTimeout('startTimer()', 1000);
    }
    function areAllFilesUploaded() {
        var uploadInfo = $("#<%=this.WebUpload1.ClientID %>").igUpload('getFileInfoData');
        return uploadInfo.countTotalFiles === uploadInfo.countUploadingFiles;
    }
    // <!--#BEGIN SNIPPET#-->
    function refreshProgressInformation() {
        var uploadInfo = $("#<%=this.WebUpload1.ClientID %>").igUpload('getFileInfoData'),
            timeElapsed = parseInt($('#timeElapsed').html(), 10),
            uploadSpeed;

        if (timeElapsed === 0) {
            uploadSpeed = 0;
        } else {
            uploadSpeed = Math.round(uploadInfo.fileSizeUploaded / (1024 * timeElapsed));
        }

        $("#uploadedFiles").html(uploadInfo.countUploadingFiles);
        $("#uploaded").html(Math.round(uploadInfo.fileSizeUploaded / 1024));
        $("#toUpload").html(Math.round((uploadInfo.fileSizeTotal - uploadInfo.fileSizeUploaded) / 1024));
        $("#speed").html(uploadSpeed);
        if (uploadSpeed === 0) {
            $("#timeLeft").html(0);
        } else {
            $("#timeLeft").html(Math.round((uploadInfo.fileSizeTotal - uploadInfo.fileSizeUploaded) / (1024 * uploadSpeed)));
        }
    }


    function UploadFileDialog() {
        $("#dvUploadFile").dialog("open");

    }


    if (jQuery == "undefined")
        throw "jQuery is undefined";


    function pageLoad() {


        /////UPLOAD File: START/////
        $("#dvUploadFile").hide();
        $("#dvUploadFile").dialog({
            show: 'fade',
            hide: 'fade',
            modal: true,
            resizable: false,
            draggable: false,
            width: 750,
            height: 'auto',
            autoOpen: false,
            close: function (ev, ui) {
                //do postback to refresh grid
                RefreshDataGrid();
            }
        });
        $("#dvBtnUploadFile").click(function () {
            UploadFileDialog();
        });
        $("#btnUploadFileCancel").click(function () {
            $("#dvUploadFile").dialog("close");
            $("#<%=WebUpload1.ClientID %>").igUpload('cancelAll');
        });
        /////UPLOAD File: End/////


    }
</script>
<div id="dvBtnUploadFile" class="divLink">
    Upload File</div>
<div class="SafeDepositBox_explorer_container">
    <asp:UpdatePanel ID="pnlUpdate" runat="server" ChildrenAsTriggers="true" UpdateMode="Conditional">
        <ContentTemplate>
            <div id="dvUploadFile" title="Upload File">
                <div style="height: 30px; width: 100%">
                    <div id="Div6">
                        <span id="spanUploadHeader">Upload File to Folder: ...</span>
                    </div>
                </div>
                <ig:WebUpload ID="WebUpload1" runat="server" Mode="Multiple"
                    MaxSimultaneousFilesUploads="2" ProgressUrl="IGUploadStatusHandler.ashx"
                  
                    >
                    <ClientEvents FileUploading="fileUploading" />
                </ig:WebUpload>
                <div style="width: 50%; margin: 25px auto 10px auto; text-align: center">
                    <input id="btnUploadFileCancel" type="button" value="Quit Upload" />
                </div>
            </div>
            ---developer windows below---
            <div class="container-info">
                <label>
                    <%= this.GetGlobalResourceObject("webUploadResources", "txt_average_speed")%>: <span
                        id="speed">0</span> KB/S
                </label>
            </div>
            <div class="container-info">
                <label>
                    <%= this.GetGlobalResourceObject("webUploadResources", "txt_uploaded_files")%>:
                    <span id="uploadedFiles">0</span>
                </label>
            </div>
            <div class="container-info">
                <label>
                    <%= this.GetGlobalResourceObject("webUploadResources", "txt_uploaded")%>: <span id="uploaded">
                        0</span> KB
                </label>
            </div>
            <div class="container-info">
                <label>
                    <%= this.GetGlobalResourceObject("webUploadResources", "txt_to_be_uploaded")%>:
                    <span id="toUpload">0</span> KB
                </label>
            </div>
            <div class="container-info">
                <label>
                    <%= this.GetGlobalResourceObject("webUploadResources", "txt_time_elapsed")%>: <span
                        id="timeElapsed">0</span>
                    <%= this.GetGlobalResourceObject("webUploadResources", "txt_seconds")%>
                </label>
            </div>
            <div class="container-info">
                <label>
                    <%= this.GetGlobalResourceObject("webUploadResources", "txt_time_left")%>: <span
                        id="timeLeft">0</span>
                    <%= this.GetGlobalResourceObject("webUploadResources", "txt_seconds")%>
                </label>
            </div>
            <div id="error" class="error-info">
                <%= this.GetGlobalResourceObject("webUploadResources", "txt_size_restriction")%>
            </div>
            <input type="hidden" id="hdnStartTimer" value="false" />
        </ContentTemplate>
    </asp:UpdatePanel>
